Package com.xebialabs.xlrelease.view

## Class ReleaseTriggerOverview

- java.lang.Object
- - com.xebialabs.xlrelease.view.ReleaseTriggerOverview

-     public class ReleaseTriggerOverview
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseTriggerOverview​(java.lang.String triggerId, java.lang.String triggerTitle, java.lang.String description, java.lang.String triggerType, boolean triggerEnabled, java.lang.String templateTitle, java.lang.String templateId, java.lang.String folderId, java.lang.String folderTitle, boolean editable, java.util.Date lastRunDate, TriggerExecutionStatus lastRunStatus)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getFolderId()` |
    `java.lang.String` | `getFolderTitle()` |
    `java.util.Date` | `getLastRunDate()` |
    `TriggerExecutionStatus` | `getLastRunStatus()` |
    `java.lang.String` | `getTemplateId()` |
    `java.lang.String` | `getTemplateTitle()` |
    `java.lang.String` | `getTriggerId()` |
    `java.lang.String` | `getTriggerTitle()` |
    `java.lang.String` | `getTriggerType()` |
    `boolean` | `isEditable()` |
    `boolean` | `isTriggerEnabled()` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setEditable​(boolean editable)` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setFolderTitle​(java.lang.String folderTitle)` |
    `void` | `setLastRunDate​(java.util.Date lastRunDate)` |
    `void` | `setLastRunStatus​(TriggerExecutionStatus lastRunStatus)` |
    `void` | `setTemplateId​(java.lang.String templateId)` |
    `void` | `setTemplateTitle​(java.lang.String templateTitle)` |
    `void` | `setTriggerEnabled​(boolean triggerEnabled)` |
    `void` | `setTriggerId​(java.lang.String triggerId)` |
    `void` | `setTriggerTitle​(java.lang.String triggerTitle)` |
    `void` | `setTriggerType​(java.lang.String triggerType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReleaseTriggerOverview

          public ReleaseTriggerOverview​(java.lang.String triggerId,
                                        java.lang.String triggerTitle,
                                        java.lang.String description,
                                        java.lang.String triggerType,
                                        boolean triggerEnabled,
                                        java.lang.String templateTitle,
                                        java.lang.String templateId,
                                        java.lang.String folderId,
                                        java.lang.String folderTitle,
                                        boolean editable,
                                        java.util.Date lastRunDate,
                                        TriggerExecutionStatus lastRunStatus)

  - ### Method Detail

    - #### getTriggerId

          public java.lang.String getTriggerId()

    - #### setTriggerId

          public void setTriggerId​(java.lang.String triggerId)

    - #### getTriggerTitle

          public java.lang.String getTriggerTitle()

    - #### setTriggerTitle

          public void setTriggerTitle​(java.lang.String triggerTitle)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getTriggerType

          public java.lang.String getTriggerType()

    - #### setTriggerType

          public void setTriggerType​(java.lang.String triggerType)

    - #### isTriggerEnabled

          public boolean isTriggerEnabled()

    - #### setTriggerEnabled

          public void setTriggerEnabled​(boolean triggerEnabled)

    - #### getTemplateTitle

          public java.lang.String getTemplateTitle()

    - #### setTemplateTitle

          public void setTemplateTitle​(java.lang.String templateTitle)

    - #### getTemplateId

          public java.lang.String getTemplateId()

    - #### setTemplateId

          public void setTemplateId​(java.lang.String templateId)

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getFolderTitle

          public java.lang.String getFolderTitle()

    - #### setFolderTitle

          public void setFolderTitle​(java.lang.String folderTitle)

    - #### isEditable

          public boolean isEditable()

    - #### setEditable

          public void setEditable​(boolean editable)

    - #### getLastRunDate

          public java.util.Date getLastRunDate()

    - #### setLastRunDate

          public void setLastRunDate​(java.util.Date lastRunDate)

    - #### getLastRunStatus

          public TriggerExecutionStatus getLastRunStatus()

    - #### setLastRunStatus

          public void setLastRunStatus​(TriggerExecutionStatus lastRunStatus)